From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/regexp_property_values/
Date: Sun, 24 Oct 2021 08:05:53 +0000 (UTC) [thread overview]
Message-ID: <1635062748.b78c8b8548d1421dd2c2b22a6f87d3f4a7f9bb93.graaff@gentoo> (raw)
commit: b78c8b8548d1421dd2c2b22a6f87d3f4a7f9bb93
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 24 08:02:09 2021 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Oct 24 08:05:48 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b78c8b85
dev-ruby/regexp_property_values: fix extension install
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
.../regexp_property_values-1.0.0-r1.ebuild | 36 ++++++++++++++++++++++
1 file changed, 36 insertions(+)
diff --git a/dev-ruby/regexp_property_values/regexp_property_values-1.0.0-r1.ebuild b/dev-ruby/regexp_property_values/regexp_property_values-1.0.0-r1.ebuild
new file mode 100644
index 00000000000..c990f487d2b
--- /dev/null
+++ b/dev-ruby/regexp_property_values/regexp_property_values-1.0.0-r1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/regexp_property_values/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR="lib/regexp_property_values"
+
+inherit ruby-fakegem
+
+DESCRIPTION="See which property values are supported by the regular expression engine"
+HOMEPAGE="https://github.com/janosch-x/regexp_property_values"
+SRC_URI="https://github.com/janosch-x/regexp_property_values/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="1"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+ sed -i -e 's/git ls-files -z/find -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+ sed -i -e '/bundler/ s:^:#:' spec/spec_helper.rb || die
+
+ # Avoid dependency on character_set which would lead to circular
+ # dependencies.
+ sed -i -e '/returns a CharacterSet/askip "gentoo circular dependencies"' spec/regexp_property_values/value_spec.rb || die
+}
next reply other threads:[~2021-10-24 8:05 UTC|newest]
Thread overview: 39+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-10-24 8:05 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-06 11:14 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/regexp_property_values/ Sam James
2024-05-23 6:13 Hans de Graaff
2024-01-08 7:19 Hans de Graaff
2023-12-31 10:29 Hans de Graaff
2023-12-31 10:29 Hans de Graaff
2023-07-24 10:05 Jakov Smolić
2023-06-12 6:21 Hans de Graaff
2023-06-12 6:21 Hans de Graaff
2023-03-14 6:33 Hans de Graaff
2022-04-08 9:15 Hans de Graaff
2022-04-08 9:15 Hans de Graaff
2022-04-02 8:57 Hans de Graaff
2022-04-02 8:57 Hans de Graaff
2022-01-09 7:17 Hans de Graaff
2021-12-07 6:42 Hans de Graaff
2021-12-07 6:42 Hans de Graaff
2021-12-07 6:42 Hans de Graaff
2021-09-07 21:28 Marek Szuba
2021-05-04 5:29 Hans de Graaff
2020-12-20 19:14 Sam James
2020-12-20 19:03 Sam James
2020-09-16 6:18 Hans de Graaff
2020-07-26 15:12 Hans de Graaff
2020-04-21 21:06 Sergei Trofimovich
2020-04-21 21:06 Sergei Trofimovich
2020-01-27 6:40 Hans de Graaff
2020-01-27 6:40 Hans de Graaff
2019-07-22 21:06 Hans de Graaff
2019-07-22 16:56 Aaron Bauman
2019-07-17 6:01 Hans de Graaff
2019-07-17 6:01 Hans de Graaff
2019-07-09 23:11 Sergei Trofimovich
2019-04-27 6:06 Hans de Graaff
2019-04-03 5:46 Hans de Graaff
2019-01-05 9:48 Hans de Graaff
2018-11-26 19:23 Mikle Kolyada
2018-11-17 23:18 Thomas Deutschmann
2018-11-11 6:40 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1635062748.b78c8b8548d1421dd2c2b22a6f87d3f4a7f9bb93.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox